﻿$packageName = 'electrum.portable'
$url = 'https://download.electrum.org/2.8.2/electrum-2.8.2-portable.exe'
$checksum = '56880a5095aa2ab6e6b61a868e1cf1df4a21615977dc58ebaba1ea1cfca97d82'
$checksumType = 'sha256'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$installFile = Join-Path $toolsDir "electrum.exe"
try {
  Get-ChocolateyWebFile -PackageName "$packageName" `
                        -FileFullPath "$installFile" `
                        -Url "$url" `
                        -Checksum "$checksum" `
                        -ChecksumType "$checksumType"
  # create an empty sidecar metadata file for closed-source shimgen.exe to prevent blank black window
  Set-Content -Path ("$installFile.gui") `
              -Value $null  
} catch {
  throw $_.Exception
}